**Note from the Author**

I no longer work for Sisense and thus I do not have access to a Sisense instance in order to test or further develop this code. 

If you wish to update PySense you can open a Pull Request which I will review and merge as time allows. 

If you spot errors in the code which can be fixed easily, you may open an issue and I will attempt to fix it as time allows. 

As I do not have a Sisense instance I cannot guarantee any functionality nor can I effectivly troubleshoot any issues which arise. 

I am invested in maintaining this to the best of my ability for those who have used this. 

You are free to fork and modify the code in your own repo as needed per the terms of GNU General Public License v3.0

Cheers, 

Nathan Giusti

**Overview**

PySense is the fastest, easiest way to manage and automate your Sisense deployment. 

PySense is more than just an API wrapper. PySense handles all the complexities of the Sisense API for you so you can spend more time creating value for your customers. 

I've taken my years of experience both with implementing BI solutions myself and as a consultant managing implementations for large corporations to streamline what matters most. 

With PySense you can manage your BI implementation like a pro with barely any technical skills. 

**[Documentation](https://htmlpreview.github.io/?https://github.com/nathangiusti/PySense/blob/master/Documentation/index.html)**

**Prerequisites**

Required: 
- A basic understanding of a high level programing language (JS, Java, Python, C/C++/C#, etc)
- A basic understanding of the following programming concepts
    - Control Flows (if, for, while)
    - Objects (calling object methods)
    - Collections (arrays, lists)

Recommended:
- A basic understanding of Python 

If you lack the above but still wish to use PySense I recommend [CodeAcademy](https://www.codecademy.com/learn/learn-python-3)

**Getting Started**

You'll need to have Python 3.0+ and an IDE. Development of PySense was done with [PyCharm](https://www.jetbrains.com/pycharm/).

If you need help installing Python/PyCharm, see our [tutorial](https://github.com/nathangiusti/PySense/raw/master/Installing%20Python.pptx)

Install PySense with pip:
- pip install PySenseSDK

[Tutorial Videos](https://www.youtube.com/playlist?list=PL0xO3VH5OF2JD2KiZs_41zvKvPyebg6MW)

**V 1.0.5 Release Notes**

- Breaking changes
    - None

- Additions
    - Datamodel exports can now return as a string. Before these changes you could only save the model to a file.
    - Split up the import_schema function from DataModelMixIn to provide functionality to upload a schema from dictionary.
        
- Fixes
    - None
    
- Known Issues
    - REST API sometimes becomes unresponsive on Linux builds
    - REST API sometimes fails uploading sdata files
    
